Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class HashSet

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractSet
                  |
                  +--java.util.HashSet

All Implemented Interfaces:
  Collection, Set

public class HashSet
extends AbstractSet

Constructor Summary
`HashSet()`
`HashSet(Collection c)`
`HashSet(int initialCapacity)`
`HashSet(int initialCapacity, float loadFactor)`

Method Summary
`boolean` | `add(java.lang.Object o)`
`void` | `clear()`
`java.lang.Object` | `clone()`
`boolean` | `contains(java.lang.Object o)`
`Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object o)`
`int` | `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, isEmpty, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`addAll, containsAll, isEmpty, removeAll, retainAll, toArray, toArray`

Constructor Detail

### HashSet

    public HashSet()

### HashSet

    public HashSet(Collection c)

### HashSet

    public HashSet(int initialCapacity,
                   float loadFactor)

### HashSet

    public HashSet(int initialCapacity)

Method Detail

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in class `AbstractCollection`

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in class `AbstractCollection`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `Collection`
  Overrides:
    `contains` in class `AbstractCollection`

### add

    public boolean add(java.lang.Object o)

  Specified by:
    `add` in interface `Collection`
  Overrides:
    `add` in class `AbstractCollection`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `Collection`
  Overrides:
    `remove` in class `AbstractCollection`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Overrides:
    `clear` in class `AbstractCollection`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD